commit:     e309c522533c40676f8646ef0665e2d503bb9eb9
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 11 21:21:28 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Aug  5 09:12:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e309c522

dev-python/future: version bump.

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-python/future/Manifest             |  1 +
 dev-python/future/future-0.17.1.ebuild | 48 ++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/future/Manifest b/dev-python/future/Manifest
index 48c79e5ce1a..58eaf61d973 100644
--- a/dev-python/future/Manifest
+++ b/dev-python/future/Manifest
@@ -1 +1,2 @@
 DIST future-0.17.0.tar.gz 827812 BLAKE2B 
14bfce4927386b157da91e6bbad547e21bb622f7e81997bc4ac400842cec5f7a50d7a0f5a743c4c76a7b80be0dcb6f54c06901311fd27781d89a8d2df1cce7e9
 SHA512 
f2396379e8e36753aeafdf27225c2551a31b10036f21201f1c24d63c1bb318dbd491ec977af514a19a4d477b397df9eed9711be797a64e86fc00c4692729d876
+DIST future-0.17.1.tar.gz 829119 BLAKE2B 
95210b5128d25d6c189cd38bced873f096802690e8fab5f4591c08fa913c41dc255e24af1931cad91d872a286f690f47bf6e0aa365e2f6508b03b0d305779c26
 SHA512 
50094c44db81afbfd37ee25e1710ed11ecb2c2d64ad076fb62a2688dd36a9696ab26b0d7989bf1ecb10da251961a0ee6bb37c4dbd115f70384cd8c9a675d0b2d

diff --git a/dev-python/future/future-0.17.1.ebuild 
b/dev-python/future/future-0.17.1.ebuild
new file mode 100644
index 00000000000..c70e5416eae
--- /dev/null
+++ b/dev-python/future/future-0.17.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
+HOMEPAGE="http://python-future.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
+       )
+       test? (
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+)
+
+python_prepare_all() {
+       sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build docs/ docs/_build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       pytest -vv || die "Tests failed under ${EPYTHON}"
+}

Reply via email to